package com.zhibao.crm.common.config;

import com.jfinal.kit.PathKit;
import com.jfinal.kit.PropKit;
import com.jfinal.plugin.activerecord.generator.Generator;
import com.jfinal.plugin.druid.DruidPlugin;
import javax.sql.DataSource;

public class JFinalGenerator {

   public static DataSource getDataSource() {
      PropKit.use("config/crm-config.txt");
      DruidPlugin druidPlugin = new DruidPlugin(PropKit.get("mysql.jdbcUrl").trim(), PropKit.get("mysql.user").trim(), PropKit.get("mysql.password").trim());
      druidPlugin.start();
      return druidPlugin.getDataSource();
   }

   public static void main(String[] args) {
      System.out.println("WebRootPath=" + PathKit.getWebRootPath());
      String baseOutputDir = PathKit.getWebRootPath() + "/src/main/java/com/zhibao/crm/common";
      String baseModelPkg = "entity.base";
      String modelPkg = "entity";
      String modelDir = baseOutputDir + "/entity";
      Generator generator = new Generator(getDataSource(), baseModelPkg, baseOutputDir, modelPkg, modelDir);
      generator.addExcludedTable(new String[]{""});
      generator.setGenerateDaoInModel(false);
      generator.setGenerateChainSetter(true);
      generator.setGenerateDataDictionary(false);
      generator.setRemovedTableNamePrefixes(new String[]{"crm_"});
      generator.generate();
   }
}
